Subject: Re: bug#52260: Fix compilation error in feature/pgtk branch

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 03 Dec 2021 18:12:48 +0100

Koen van Greevenbroek <[email-masked]> writes:

> I was just trying to compile the latest version of the pgtk branch when
> I noticed that commit 901938109f introduced a regression: two empty
> switch cases will result in a compilation error. My suggested fix is
> the following:
>
> Fix compilation error due to empty switch cases
>
> modified   src/pgtkterm.c
> @@ -4276,6 +4276,7 @@ set_fullscreen_state (struct frame *f)
>
>      case FULLSCREEN_WIDTH:
>      case FULLSCREEN_HEIGHT:
> +	;
>        /* Not supported by gtk. Ignore them. */
>      }
>
> This fixes the compilation error for me; I don't know if there is a
> more idiomatic way of solving this.

I think adding a "break;" is the normal way to do it, so I've now done
this on the pgtk branch.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no